curl --request PUT \
--url https://dev.flextell.ai/api/v1/treatments/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"price": 1,
"tax_rate": "0",
"description": "<string>",
"session": 2,
"is_active": true,
"extra_info": [
"<string>"
],
"products": [
123
],
"sessions": [
{
"session_order": 2,
"session_type": "control",
"next_gap_days": 2,
"offset_days": 1
}
]
}
'{
"success": "<string>",
"data": {
"id": 123,
"name": "<string>",
"price": "<string>",
"description": "<string>",
"session": 123,
"is_active": "<string>",
"extra_info": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"products": [
{
"id": 123,
"name": "<string>",
"full_name": "<string>",
"barcode": "<string>",
"description": "<string>",
"box_quantity": "<string>",
"unit_volume": "<string>",
"critical_stock_level": 123,
"invoice_name": "<string>",
"price": 123,
"tax_rate": 123,
"is_active": "<string>",
"brand": {
"id": 123,
"name": "<string>"
},
"product_type": {
"id": 123,
"name": "<string>",
"category": "<string>"
},
"category": {
"id": 123,
"name": "<string>"
},
"unit_code": {
"id": "<string>",
"name": "<string>",
"code": "<string>"
}
}
],
"users": [
{
"id": 123,
"name": "<string>"
}
],
"sessions": [
{
"id": 123,
"session_order": 123,
"session_type": "control",
"next_gap_days": 123,
"offset_days": 123
}
]
}
}The access token received from the authorization server in the OAuth 2.0 flow.
Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.
The treatment identifier
Treatment name.
255Treatment price.
x >= 0Tax rate (KDV).
0, 1, 10, 20 Treatment description.
Number of sessions.
x >= 1Active status.
Extra information as JSON/array. Must be an associative array when provided.
Related product IDs.
Treatment sessions plan.
Show child attributes
curl --request PUT \
--url https://dev.flextell.ai/api/v1/treatments/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"price": 1,
"tax_rate": "0",
"description": "<string>",
"session": 2,
"is_active": true,
"extra_info": [
"<string>"
],
"products": [
123
],
"sessions": [
{
"session_order": 2,
"session_type": "control",
"next_gap_days": 2,
"offset_days": 1
}
]
}
'{
"success": "<string>",
"data": {
"id": 123,
"name": "<string>",
"price": "<string>",
"description": "<string>",
"session": 123,
"is_active": "<string>",
"extra_info": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"products": [
{
"id": 123,
"name": "<string>",
"full_name": "<string>",
"barcode": "<string>",
"description": "<string>",
"box_quantity": "<string>",
"unit_volume": "<string>",
"critical_stock_level": 123,
"invoice_name": "<string>",
"price": 123,
"tax_rate": 123,
"is_active": "<string>",
"brand": {
"id": 123,
"name": "<string>"
},
"product_type": {
"id": 123,
"name": "<string>",
"category": "<string>"
},
"category": {
"id": 123,
"name": "<string>"
},
"unit_code": {
"id": "<string>",
"name": "<string>",
"code": "<string>"
}
}
],
"users": [
{
"id": 123,
"name": "<string>"
}
],
"sessions": [
{
"id": 123,
"session_order": 123,
"session_type": "control",
"next_gap_days": 123,
"offset_days": 123
}
]
}
}